org.eclipse.eef.ide.ui.internal.widgets

## Class RadioGroupViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.jface.viewers.ContentViewer
    - - org.eclipse.jface.viewers.StructuredViewer
      - - org.eclipse.jface.viewers.AbstractListViewer
        - - org.eclipse.eef.ide.ui.internal.widgets.RadioGroupViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class RadioGroupViewer
    extends org.eclipse.jface.viewers.AbstractListViewer

A concrete viewer based either on a radio group.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer

`org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector, org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

### Constructor Summary

Constructors
Constructor and Description
`RadioGroupViewer(org.eclipse.swt.widgets.Composite parent, EEFWidgetFactory widgetFactory, int numberOfColumns)` Creates a radio group viewer on a newly-created radio group control under the given parent.
`RadioGroupViewer(RadioGroup list)` Creates a radio group viewer on the given radio group control.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Control` `getControl()`
`RadioGroup` `getRadioGroup()` Returns this list viewer's list control.
`protected void` `listAdd(java.lang.String string, int index)`
`protected void` `listDeselectAll()`
`protected int` `listGetItemCount()`
`protected int[]` `listGetSelectionIndices()`
`protected void` `listRemove(int index)`
`protected void` `listRemoveAll()`
`protected void` `listSetItem(int index, java.lang.String string)`
`protected void` `listSetItems(java.lang.String[] labels)`
`protected void` `listSetSelection(int[] ixs)`
`protected void` `listShowSelection()`
`void` `reveal(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.AbstractListViewer

`add, add, doFindInputItem, doFindItem, doUpdateItem, getElementAt, getLabelProvider, getSelectionFromWidget, indexForElement, inputChanged, insert, internalRefresh, listGetTopIndex, listSetTopIndex, remove, remove, setLabelProvider, setSelectionToWidget`

### Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertContentProviderType, assertElementsNotNull, associate, buildLabel, disassociate, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getComparator, getComparer, getFilteredChildren, getFilters, getItem, getRawChildren, getRoot, getSelection, getSortedChildren, getSorter, getStructuredSelection, handleDispose, handleDoubleSelect, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, hookControl, internalRefresh, internalUpdate, mapElement, needsRefilter, preservingSelection, refresh, refresh, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSelection, setSelectionToWidget, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, update, updateItem, updateSelection, usingElementMap`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput, labelProviderChanged`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

### Constructor Detail

#### RadioGroupViewer

    public RadioGroupViewer(org.eclipse.swt.widgets.Composite parent,
                            EEFWidgetFactory widgetFactory,
                            int numberOfColumns)

Creates a radio group viewer on a newly-created radio group control under the given parent. The combo control is created using the given SWT style bits.

Parameters:
  `parent` - the parent control
  `widgetFactory` - the widget factory
  `numberOfColumns` - The number of columns to use to display the candidates

#### RadioGroupViewer

    public RadioGroupViewer(RadioGroup list)

Creates a radio group viewer on the given radio group control.

Parameters:
  `list` - the combo control

### Method Detail

#### listAdd

    protected void listAdd(java.lang.String string,
                           int index)

Specified by:
  `listAdd` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listAdd(java.lang.String, int)`

#### listSetItem

    protected void listSetItem(int index,
                               java.lang.String string)

Specified by:
  `listSetItem` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listSetItem(int, java.lang.String)`

#### listGetSelectionIndices

    protected int[] listGetSelectionIndices()

Specified by:
  `listGetSelectionIndices` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listGetSelectionIndices()`

#### listGetItemCount

    protected int listGetItemCount()

Specified by:
  `listGetItemCount` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listGetItemCount()`

#### listSetItems

    protected void listSetItems(java.lang.String[] labels)

Specified by:
  `listSetItems` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listSetItems(java.lang.String[])`

#### listRemoveAll

    protected void listRemoveAll()

Specified by:
  `listRemoveAll` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listRemoveAll()`

#### listRemove

    protected void listRemove(int index)

Specified by:
  `listRemove` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listRemove(int)`

#### listSetSelection

    protected void listSetSelection(int[] ixs)

Specified by:
  `listSetSelection` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listSetSelection(int[])`

#### listShowSelection

    protected void listShowSelection()

Specified by:
  `listShowSelection` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listShowSelection()`

#### listDeselectAll

    protected void listDeselectAll()

Specified by:
  `listDeselectAll` in class `org.eclipse.jface.viewers.AbstractListViewer`
See Also:
  `AbstractListViewer.listDeselectAll()`

#### reveal

    public void reveal(java.lang.Object element)

Specified by:
  `reveal` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  `StructuredViewer.reveal(java.lang.Object)`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.getControl()`

#### getRadioGroup

    public RadioGroup getRadioGroup()

Returns this list viewer's list control.

Returns:
  the list control